### GET /api/v6/resources/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/resources/ ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **use_hard_state** (boolean, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not - **aggregations** (union, query, optional) ### Responses #### 200 - Successful Response **ResourceCheckResponseListResponse** - **totalresults** (integer) (required) - **result** (array (ResourceCheckResponse)) (required) Array items: - **id** (integer) - **last_check** (integer) - **downtimes** (array (string)) - **acknowledged** (boolean) - **last_state_change** (integer) - **last_hard_state_change** (integer) - **description** (string) - **description_keyword** (string) - **hosttype** (string) - **host_name** (string) - **state** (integer) - **last_hard_state** (integer) - **state_type** (integer) - **comments** (array (string)) - **is_flapping** (boolean) - **check_interval** (number) - **tickets** (array (string)) - **permissions** (array (string)) - **scheduled_downtime_depth** (integer) - **max_scheduled_downtime_depth** (integer) - **staleness** (number) - **state_details** (string) - **has_graph** (boolean) - **next_check** (integer) - **host_id** (integer) - **extended_output** (string) - **check_type** (string) - **hostgroup_alias** (string) - **display_name** (string) - **perf_data** (string) - **is_stale** (boolean) - **allowed_actions** (array (string)) - **host_scheduled_downtime_depth** (integer) - **host_map_state** (object) - **state** (integer) - **acknowledged** (boolean) - **maintenance** (boolean) - **maps** (array (object)) - **monitoring_type** (string) - **problems_page_state** (integer) - **processed_perf_data** (object) - **stale_from** (integer) - **max_check_attempts** (integer) - **is_custom_check** (boolean) - **notifications_enabled** (boolean) - **labels** (object) - **label_names** (array (string)) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/resources/?limit=100&offset=0&use_hard_state=false&columns=value&extra_columns=value&filter={}&advanced_filter=null&order=null&aggregations=value" ``` ``` -------------------------------- ### GET /api/v6/environments/{environment_name}/agents/{agent_type}/ Source: https://cloud.apm.io/api/openapi.json Returns an installable agent for APM, this agent is specific to an environment ```markdown ### Parameters - **environment_name** (string, path, required) - **agent_type** (string, path, required) - **arch** (string, query, optional) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/environments/{environment_name}/agents/{agent_type}/?arch=x64" ``` ``` -------------------------------- ### GET /api/v6/alerts/grouped/ Source: https://cloud.apm.io/api/openapi.json Same as alert list except grouped ```markdown ### Parameters - **group_by** (string, query, required) - **show_empty** (boolean, query, optional) - **limit** (integer, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response **AlertGroupedResponse** - **aggregations** (object) - **groups** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/alerts/grouped/?group_by=string&show_empty=false&limit=0&columns=value&extra_columns=value&filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/filters/ Source: https://cloud.apm.io/api/openapi.json Returns a list of filters this user saved ```markdown ### Parameters - **organization_ids** (string, query, optional): Comma separated list of organization ids you want to filter on - **organizations** (string, query, optional): Comma separated list of organization names you want to filter on - **locations** (string, query, optional): Comma separated list of locations you want to filter on - **columns** (union, query, optional): comma separated list of columns to fetch ### Responses #### 200 - Successful Response - Array of Filter #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/filters/?organization_ids=string&organizations=string&locations=string&columns=value" ``` ``` -------------------------------- ### GET /api/v6/environments/grouped/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/environments/grouped/ ```markdown ### Parameters - **group_by** (string, query, required) - **show_empty** (boolean, query, optional) - **limit** (integer, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response **EnvironmentResponseGroupedResponse** - **aggregations** (object) - **groups** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/environments/grouped/?group_by=string&show_empty=false&limit=0&columns=value&extra_columns=value&filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/assets/software/ Source: https://cloud.apm.io/api/openapi.json Returns all versions of a specific software and how many hosts they run on ```markdown ### Parameters - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/assets/software/?filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/risks/ Source: https://cloud.apm.io/api/openapi.json Returns risks for a specific environment ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response **RiskResponseListResponse** - **totalresults** (integer) (required) - **result** (array (RiskResponse)) (required) Array items: - **id** (integer) (required) - **risks** (array (RiskDetail)) (required) Array items: - **id** (integer) (required) - **name** (string) (required) - **service** (string) - **port** (integer) (required) - **protocol** (string) (required) - **tickets** (array (unknown)) (required) - **name** (string) (required) - **severity** (integer) (required) - **date_first_detected** (integer) (required) (example: 123456789) - **date_last_detected** (integer) (required) (example: 123456789) - **family** (string) (required) - **description** (string) (required) - **solution** (string) - **solution_type** (string) - **detection_method** (string) - **affected_software** (string) - **impact** (string) - **insight** (string) - **synopsis** (string) (required) - **allowed_actions** (array (string)) - **tickets** (array (unknown)) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/risks/?limit=100&offset=0&filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/filters/{guid}/ Source: https://cloud.apm.io/api/openapi.json Returns a single filter based on filter guid ```markdown ### Parameters - **guid** (string, path, required) ### Responses #### 200 - Successful Response **Filter** - **data** (array (unknown)) (required): The filter you want to save (example: [{"key":"host_name","operator":"~=","type":"filter","value":"example.com"}]) - **quick_filters** (object): Active quick filters (example: {"active":false,"inverted":true,"key":"scheduled_downtime_depth","operator":">","value":0}) - **location** (string) (required): Which page the filter applies to - **id** (integer) (required) - **name** (string) (required): The name of the filter - **guid** (string) - **organization** (object) (required) - **id** (integer) (required) - **name** (string) (required) - **alias** (string) (required) - **user** (object) (required) - **id** (integer) (required) - **name** (string) (required) - **organization_id** (integer) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/filters/{guid}/" ``` ``` -------------------------------- ### GET /api/v6/hosts/{host_id}/settings/thresholds/ Source: https://cloud.apm.io/api/openapi.json Returns threshold settings for this host ```markdown ### Parameters - **host_id** (integer, path, required) ### Responses #### 200 - Successful Response - Array of ThresholdDetail #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/hosts/{host_id}/settings/thresholds/" ``` ``` -------------------------------- ### GET /api/v6/assets/software_overview/ Source: https://cloud.apm.io/api/openapi.json Returns all software package names, how many different versions there are and how many hosts they run on ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **group_by** (union, query, optional) - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not ### Responses #### 200 - Successful Response - **totalresults** (integer) (required) - **result** (array (AssetSoftware)) (required) Array items: - **name** (string) (required) - **count** (integer) (required) - **hosttype** (string) (required) - **unique_versions** (integer) (required) - **versions** (object) (required) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/assets/software_overview/?limit=50&offset=0&group_by=value&filter={}&advanced_filter=null&order=null" ``` ``` -------------------------------- ### GET /api/v6/reports/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/reports/ ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **use_hard_state** (boolean, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not - **aggregations** (union, query, optional) ### Responses #### 200 - Successful Response **ReportResponseListResponse** - **totalresults** (integer) (required) - **result** (array (ReportResponse)) (required) Array items: - **id** (integer) - **name** (string) - **hostgroup_id** (integer) - **total_resources** (integer) - **total_hosts** (integer) - **scope** (object) - **hostgroup_name** (string) - **type** (string) - **description** (string) - **period_index** (integer) - **created_at** (string (date-time)) - **report_content_aliases** (array (unknown)) - **alias** (string) - **period** (string) - **window** (string) - **hostgroup** (string) - **permissions** (array (unknown)) - **hostnames_in_scope** (array (string)) - **filled_scope** (object) - **is_allowed_write** (boolean) - **is_group_hosts_by_type** (boolean) - **is_count_scheduled_outages_as_unavailable** (boolean) - **is_deviated** (boolean) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/reports/?limit=100&offset=0&use_hard_state=false&columns=value&extra_columns=value&filter={}&advanced_filter=null&order=null&aggregations=value" ``` ``` -------------------------------- ### GET /api/v6/environments/ Source: https://cloud.apm.io/api/openapi.json Returns a list of environments based on the current user's rights ```markdown ### Parameters - **permission_filter** (union, query, optional): comma-separated list of permissions to filter on - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **use_hard_state** (boolean, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not - **aggregations** (union, query, optional) ### Responses #### 200 - Successful Response **EnvironmentResponseListResponse** - **totalresults** (integer) (required) - **result** (array (EnvironmentResponse)) (required) Array items: - **id** (integer) - **name** (string) - **alias** (string) - **host_count** (integer) - **resource_count** (integer) - **last_scan** (integer) - **last_scan_timestamp** (integer) - **amount_of_risks** (object) - **has_risk_data** (boolean) - **last_updated_at** (string (date-time)) - **organization_name** (string) - **organization_alias** (string) - **cmdb** (object) - **allowed_actions** (array (string)) - **organization_id** (integer) - **host_ids** (array (integer)) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/environments/?permission_filter=value&limit=100&offset=0&use_hard_state=false&columns=value&extra_columns=value&filter={}&advanced_filter=null&order=null&aggregations=value" ``` ``` -------------------------------- ### GET /api/v6/label-types/ Source: https://cloud.apm.io/api/openapi.json Returns a list of label types ```markdown ### Parameters - **organization_id** (union, query, optional) - **environment_ids** (union, query, optional) - **include_none_types** (boolean, query, optional) - **include_system_labels** (boolean, query, optional) ### Responses #### 200 - Successful Response **LabelTypeListResponse** - **totalresults** (integer) (required) - **result** (array (LabelType)) (required) Array items: - **id** (integer) (required) - **name** (string) (required) - **data_type** (string (string|number|list|none)) (required) ("string"|"number"|"list"|"none") - **organization_id** (integer) - **host_count** (integer) - **created_by** (string) - **created_time** (integer) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/label-types/?organization_id=value&environment_ids=value&include_none_types=true&include_system_labels=true" ``` ``` -------------------------------- ### GET /api/v6/resources/grouped/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/resources/grouped/ ```markdown ### Parameters - **group_by** (string, query, required) - **show_empty** (boolean, query, optional) - **limit** (integer, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response **ResourceCheckResponseGroupedResponse** - **aggregations** (object) - **groups** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/resources/grouped/?group_by=string&show_empty=false&limit=0&columns=value&extra_columns=value&filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/search/ Source: https://cloud.apm.io/api/openapi.json Search across all object types in APM at once ```markdown ### Parameters - **query** (string, query, required) - **limit** (integer, query, optional) - **environment_ids** (union, query, optional) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/search/?query=string&limit=100&environment_ids=value" ``` ``` -------------------------------- ### GET /api/v6/hosts/ Source: https://cloud.apm.io/api/openapi.json Returns a list of hosts based on passed filters ```markdown ### Parameters - **allow_incomplete** (union, query, optional) - **require_write_permission** (union, query, optional) - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **use_hard_state** (boolean, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not - **aggregations** (union, query, optional) ### Responses #### 200 - Successful Response **HostResponseListResponse** - **totalresults** (integer) (required) - **result** (array (HostResponse)) (required) Array items: - **id** (integer) - **name** (string) - **hostgroup_id** (integer) - **hostgroup** (string) - **hostgroup_alias** (string) - **state_sorted** (integer) - **hosttype** (string) - **display_name** (string) - **retry_interval** (integer) - **no_more_notifications** (boolean) - **worst_service_status** (integer) - **has_graph** (boolean) - **problem_status** (integer) - **problems_page_state** (integer) - **tickets** (array (string)) - **in_notification_period** (boolean) - **last_state_change** (integer) - **last_hard_state_change** (integer) - **check_interval** (number) - **acknowledged** (boolean) - **is_flapping** (boolean) - **check_type** (string) - **state_type** (string) - **comments_with_info** (array (string)) - **staleness** (number) - **downtimes** (array (string)) - **downtimes_with_info** (array (object)) - **scheduled_downtime_depth** (integer) - **max_scheduled_downtime_depth** (integer) - **pending_flex_downtime** (boolean) - **parents** (array (string)) - **parent_states** (array (integer)) - **num_children** (integer) - **num_resource_problems** (integer) - **perf_data** (string) - **description** (string) - **state** (integer) - **last_hard_state** (integer) - **children** (array (string)) - **state_details** (string) - **next_check** (integer) - **last_check** (integer) - **last_updated_at** (integer) - **processing** (boolean) - **pending_validation** (boolean) - **ip_address** (string) - **has_static_ip** (boolean) - **extended_output** (string) - **created_at** (integer) - **organization** (string) - **service_counts** (object) - **ok** (integer) - **warning** (integer) - **unknown** (integer) - **critical** (integer) - **tags** (array (string)) - **permissions** (array (string)) - **main_resource_checks_staleness** (number) - **is_stale** (boolean) - **snmp_community** (string) - **organization_alias** (string) - **rancid_username** (string) - **ilo_username** (string) - **ilo_password** (boolean) - **website_inspection_config** (string) - **cluster_hosts** (unknown) - **cluster_resources** (unknown) - **allowed_actions** (array (string)) - **linked_resource_problems** (integer) - **asset_data** (object) - **has_asset_data** (boolean) - **short_asset_data** (object) - **risks** (array (object)) - **last_scan_id** (integer) - **rancid_password** (boolean) - **rancid_enable_password** (boolean) - **map_state** (object) - **state** (integer) ("0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8") - **acknowledged** (boolean) - **maintenance** (integer) - **not_ok_resource_states_by_name** (object) - **maps** (array (object)) - **monitoring_type** (string) - **has_configurable_thresholds** (boolean) - **has_own_thresholds** (boolean) - **stale_from** (integer) - **has_risk_data** (boolean) - **max_check_attempts** (integer) - **is_custom_check** (boolean) - **notifications_enabled** (boolean) - **labels** (object) - **label_names** (array (string)) - **organization_id** (integer) - **has_scheduled_scan** (boolean) - **host_name** (string) - **host_id** (integer) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/hosts/?allow_incomplete=false&require_write_permission=false&limit=100&offset=0&use_hard_state=false&columns=value&extra_columns=value&filter={}&advanced_filter=null&order=null&aggregations=value" ``` ``` -------------------------------- ### GET /api/v6/hosts/grouped/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/hosts/grouped/ ```markdown ### Parameters - **group_by** (string, query, required) - **show_empty** (boolean, query, optional) - **limit** (integer, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` ### Responses #### 200 - Successful Response **HostResponseGroupedResponse** - **aggregations** (object) - **groups** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/hosts/grouped/?group_by=string&show_empty=false&limit=0&columns=value&extra_columns=value&filter={}&advanced_filter=null" ``` ``` -------------------------------- ### GET /api/v6/map_slideshows/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/map_slideshows/ ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **use_hard_state** (boolean, query, optional) - **columns** (union, query, optional): comma separated list of columns to fetch - **extra_columns** (union, query, optional): comma separated list of extra columns, if you don't declare normal columns these will add to the default list - **filter** (union, query, optional): json encoded dict of fields to filter on, for example: `{"state":1}` to show all with state 1, use advanced_filter for more demanding filters - **advanced_filter** (union, query, optional): json encoded list of filter dicts like: `[{"type":"filter","key":"host_name","value":"test","operator":"~="},{"type":"group","separator":"or","contents":[...nested filter list...]}]` - **order** (union, query, optional): json encoded list of lists to define order, should be a list like this: `[[COLUMN_NAME,false],[OTHER_COLUMN_NAME,true]]` where the boolean indicates whether the order is descending or not - **aggregations** (union, query, optional) ### Responses #### 200 - Successful Response **MapSlideshowResponseListResponse** - **totalresults** (integer) (required) - **result** (array (MapSlideshowResponse)) (required) Array items: - **id** (integer) - **name** (string) - **alias** (string) - **hostgroup_id** (integer) - **delay** (integer) - **maps** (array (unknown)) - **updated_time** (string (date-time)) - **created_time** (string (date-time)) - **is_autogenerated** (boolean) - **allowed_actions** (array (unknown)) - **aggregations** (object) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/map_slideshows/?limit=100&offset=0&use_hard_state=false&columns=value&extra_columns=value&filter={}&advanced_filter=null&order=null&aggregations=value" ``` ``` -------------------------------- ### GET /api/v6/organizations/{organization_id}/settings/agent/ Source: https://cloud.apm.io/api/openapi.json Returns agent settings for this organization ```markdown ### Parameters - **organization_id** (integer, path, required) ### Responses #### 200 - Successful Response **AgentSettings-Output** - **encryption** (object) (required) - **mode** (object) (required) - **value** (string (Enabled|Disabled|Enforcing)) (required) ("Enabled"|"Disabled"|"Enforcing") - **default** (string (Enabled|Disabled|Enforcing)) (required) ("Enabled"|"Disabled"|"Enforcing") - **password** (object) (required) - **value** (unknown) (required) - **default** (unknown) - **version** (object) (required) - **minimum** (object) (required) - **value** (string (2.2.x|2.1.x|2.0.x|1.6.x)) (required) ("2.2.x"|"2.1.x"|"2.0.x"|"1.6.x") - **default** (string (2.2.x|2.1.x|2.0.x|1.6.x)) (required) ("2.2.x"|"2.1.x"|"2.0.x"|"1.6.x") - **options** (array (OrganizationAgentVersions)) (required) - **monitor** (object) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/organizations/{organization_id}/settings/agent/" ``` ``` -------------------------------- ### GET /api/v6/organizations/{organization_id}/settings/thresholds/ Source: https://cloud.apm.io/api/openapi.json Returns threshold settings for this organization ```markdown ### Parameters - **organization_id** (integer, path, required) ### Responses #### 200 - Successful Response - Array of ThresholdDetail #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/organizations/{organization_id}/settings/thresholds/" ``` ``` -------------------------------- ### POST /api/v6/filters/ Source: https://cloud.apm.io/api/openapi.json Creates a filter, returns a unique GUID that refers to the filter ```markdown ### Request Body **Content-Type:** application/json - **data** (array (unknown)) (required): The filter you want to save (example: [{"key":"host_name","operator":"~=","type":"filter","value":"example.com"}]) - **quick_filters** (object): Active quick filters (example: {"active":false,"inverted":true,"key":"scheduled_downtime_depth","operator":">","value":0}) - **location** (string) (required): Which page the filter applies to - **save_to_organization** (integer): Organization to save the filter in, if empty save to user - **name** (string) (required): The name of the filter ### Responses #### 200 - Successful Response **FilterAddResponse** - **guid** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v6/filters/" \ -H "Content-Type: application/json" \ -d '{ "data": [ { "key": "host_name", "operator": "~=", "type": "filter", "value": "example.com" } ], "quick_filters": { "active": false, "inverted": true, "key": "scheduled_downtime_depth", "operator": ">", "value": 0 }, "location": "string", "save_to_organization": "0", "name": "string" }' ``` ``` -------------------------------- ### GET /api/v6/hosts/{host_id}/labels/ Source: https://cloud.apm.io/api/openapi.json API endpoint for GET /api/v6/hosts/{host_id}/labels/ ```markdown ### Parameters - **host_id** (integer, path, required) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/hosts/{host_id}/labels/" ``` ``` -------------------------------- ### GET /api/v6/hosts/{host_name}/config-backups/ Source: https://cloud.apm.io/api/openapi.json retrieves a config backup for specified host from the customer silo. always includes an overview of available versions & can optionally request a diff between two commits. Returns the last full config backup available if no version specified. ```markdown ### Parameters - **host_name** (string, path, required) - **version** (string, query, optional) - **from_version** (union, query, optional) - **to_version** (string, query, optional) ### Responses #### 200 - Successful Response **HostConfigBackup** - **versions** (array (HostConfigBackupVersion)) (required) Array items: - **date** (string) (required) (example: "Fri Nov 22 12:23:39 2019 +0100") - **commit** (string) (required) (example: "ab17a0cef120194d836482d7c006d924b48ecd78") - **config** (string) (required) (example: "The current config") - **mode** (string) (required) (example: "diff") #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v6/hosts/{host_name}/config-backups/?version=HEAD&from_version=value&to_version=HEAD" ``` ```